Daemon Power

The NetBSD Packages Collection: multimedia/subtitleeditor

Brief description of the package:
GTK+ tool to create or edit subtitles

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://kitone.github.io/subtitleeditor/.

Please note that this package has a gnu-gpl-v3 license.

The package is located in the "multimedia/subtitleeditor" directory. The current source version of the package is "subtitleeditor-0.54.0nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for multimedia/subtitleeditor :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: hicolor-icon-theme>=0.4 cwrappers>=20150314 gstreamermm>=1.10.0 glibmm>=2.24.2 perl>=5.0 glib2>=2.62.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 meson-[0-9]* ninja-build-[0-9]* python37>=3.7 libuuid>=2.18 openssl>=1.1.1 openssl>=1.1.1dnb2 readline>=2.2 readline>=6.0 python37>=3.7.0 re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.7 glib2>=2.4.0 libsigc++>=2.9.1 mm-common>=0.9.10 mm-common>=0.9.6 libsigc++>=2.0.3 glib2>=2.64.0nb1 libsigc++>=2.0.17nb1 pangomm>=2.26.2 pango>=1.41.0 Xft2>=2.1.7nb3 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 x11-links>=1.31 osabi-NetBSD-8.1_STABLE xorgproto>=2016.1 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 lzo>=2.01 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb4 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 pango>=1.6.0 cairomm>=1.2.2 cairo>=1.8 libsigc++>=2.5.1 glibmm>=2.62.0nb1 pango>=1.44.7nb2 cairomm>=1.12.2nb3 gstreamer1>=1.0.0 check>=0.9.5 gst-plugins1-base>=1.0.0 orc>=0.4.6 gstreamer1>=1.16.2 gstreamer1>=1.16.2nb1 pangomm>=2.42.0nb3 gst-plugins1-base>=1.16.2nb1 desktop-file-utils>=0.8 enchant2>=2 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 unittest-cpp>=2.0.0 libxml++>=2.10.0 gtkmm3>=3.4.2 atkmm>=2.22.1 atk>=1.11.4 glib2>=2.38.0 atk>=2.33.3nb1 gdk-pixbuf2>=2.22.0 shared-mime-info>=0.15 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 libxslt>=1.1.28nb2 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.35.1nb1 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 xcursor>=1.1.1 Xft2>=2.1.2nb2 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=9.0.0 libvdpau>=0.3 libXdamage>=1.0.3 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.100 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=20.0.1nb1 py37-expat>=0 libepoxy>=1.2 gdk-pixbuf2>=2.40.0nb1 at-spi2-atk>=2.34.1nb1 xcursor>=1.1.2nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 gobject-introspection>=1.39.0 atkmm>=2.24.2 atkmm>=2.24.3nb2 glibmm>=2.49.1 pangomm>=2.38.2 cairomm>=1.12.0 gdk-pixbuf2>=2.35.5 gtk3+>=3.22.0 gtk3+>=3.24.14nb2 gstreamermm>=1.10.0nb1 enchant2>=2.2.8nb1 libxml++>=2.40.1nb4 gtkmm3>=3.24.1nb4 .

This package requires the following package(s) to run: hicolor-icon-theme>=0.4 gstreamermm>=1.10.0 glibmm>=2.24.2 perl>=5.0 glib2>=2.62.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 glib2>=2.4.0 libsigc++>=2.9.1 libsigc++>=2.0.3 glib2>=2.64.0nb1 libsigc++>=2.0.17nb1 pangomm>=2.26.2 pango>=1.41.0 Xft2>=2.1.7nb3 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 python37>=3.7 openssl>=1.1.1 openssl>=1.1.1dnb2 python37>=3.7.0 Xft2>=2.1.7nb7 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb4 pango>=1.6.0 cairomm>=1.2.2 cairo>=1.8 libsigc++>=2.5.1 glibmm>=2.62.0nb1 pango>=1.44.7nb2 cairomm>=1.12.2nb3 gstreamer1>=1.0.0 check>=0.9.5 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* python37>=3.7.7 py37-expat-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 gst-plugins1-base>=1.0.0 orc>=0.4.6 gstreamer1>=1.16.2 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 gstreamer1>=1.16.2nb1 libxml2>=2.8.0nb2 pangomm>=2.42.0nb3 gst-plugins1-base>=1.16.2nb1 desktop-file-utils>=0.8 enchant2>=2 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 libxml++>=2.10.0 gtkmm3>=3.4.2 atkmm>=2.22.1 atk>=1.11.4 glib2>=2.38.0 atk>=2.33.3nb1 gdk-pixbuf2>=2.22.0 shared-mime-info>=0.15 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 dbus>=0.91 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.35.1nb1 xcursor>=1.0 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 xcursor>=1.1.1 Xft2>=2.1.2nb2 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=9.0.0 libvdpau>=0.3 libXdamage>=1.0.3 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.100 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=20.0.1nb1 libepoxy>=1.2 gdk-pixbuf2>=2.40.0nb1 at-spi2-atk>=2.34.1nb1 xcursor>=1.1.2nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 atkmm>=2.24.2 atkmm>=2.24.3nb2 glibmm>=2.49.1 pangomm>=2.38.2 cairomm>=1.12.0 gdk-pixbuf2>=2.35.5 libxslt>=1.1.28nb2 gtk3+>=3.22.0 gtk3+>=3.24.14nb2 gstreamermm>=1.10.0nb1 enchant2>=2.2.8nb1 libxml++>=2.40.1nb4 gtkmm3>=3.24.1nb4 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
alpha:subtitleeditor-0.30.0nb32.tgz(NetBSD 8.0)
alpha:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
earm:subtitleeditor-0.30.0nb22.tgz(NetBSD 7.0)
earm:subtitleeditor-0.30.0nb31.tgz(NetBSD 8.0)
earmv6hf:subtitleeditor-0.30.0nb32.tgz(NetBSD 8.0)
earmv6hf:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
earmv7hf:subtitleeditor-0.30.0nb32.tgz(NetBSD 8.0)
earmv7hf:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
i386:subtitleeditor-0.30.0nb32.tgz(NetBSD 7.0)
i386:subtitleeditor-0.30.0nb31.tgz(NetBSD 7.1)
i386:subtitleeditor-0.30.0nb32.tgz(NetBSD 7.1)
i386:subtitleeditor-0.30.0nb31.tgz(NetBSD 8.0)
i386:subtitleeditor-0.30.0nb31.tgz(NetBSD 8.0)
i386:subtitleeditor-0.30.0nb32.tgz(NetBSD 8.0)
i386:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
powerpc:subtitleeditor-0.30.0nb31.tgz(NetBSD 9.0)
powerpc:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
sparc64:subtitleeditor-0.30.0nb32.tgz(NetBSD 8.0)
x86_64:subtitleeditor-0.54.0nb2.tgz(NetBSD 9.0)
x86_64:subtitleeditor-0.54.0nb2.tgz(NetBSD 9.0)
x86_64:subtitleeditor-0.30.0nb31.tgz(NetBSD 7.0)
x86_64:subtitleeditor-0.30.0nb32.tgz(NetBSD 7.0)
x86_64:subtitleeditor-0.30.0nb31.tgz(NetBSD 7.1)
x86_64:subtitleeditor-0.30.0nb32.tgz(NetBSD 7.1)
x86_64:subtitleeditor-0.30.0nb31.tgz(NetBSD 8.0)
x86_64:subtitleeditor-0.30.0nb31.tgz(NetBSD 8.0)
x86_64:subtitleeditor-0.30.0nb32.tgz(NetBSD 8.0)
x86_64:subtitleeditor-0.54.0.tgz(NetBSD 9.0)
x86_64:subtitleeditor-0.54.0nb2.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]